Package com.smartgwt.client.core

# Class KeyIdentifier

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.KeyIdentifier

All Implemented Interfaces:
  `HasHandlers`

public class KeyIdentifier extends DataClass
Identifier for a key pressed by the user, optionally specifying whether the Shift, Control, and/or Alt keys should be held or not held when the key is pressed, used by various methods.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyIdentifier()`
  `KeyIdentifier(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getAltKey()`
  If set, whether the Alt key must be held down.
  `Boolean`
  `getCtrlKey()`
  If set, whether the Control key must be held down.
  `String`
  `getKeyName()`
  Name of the key.
  `static KeyIdentifier`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Boolean`
  `getShiftKey()`
  If set, whether the Shift key must be held down.
  `KeyIdentifier`
  `setAltKey(Boolean altKey)`
  If set, whether the Alt key must be held down.
  `KeyIdentifier`
  `setCtrlKey(Boolean ctrlKey)`
  If set, whether the Control key must be held down.
  `KeyIdentifier`
  `setKeyName(String keyName)`
  Name of the key.
  `KeyIdentifier`
  `setShiftKey(Boolean shiftKey)`
  If set, whether the Shift key must be held down.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KeyIdentifier

    public KeyIdentifier()

  - ### KeyIdentifier

    public KeyIdentifier(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static KeyIdentifier getOrCreateRef(JavaScriptObject jsObj)

  - ### setAltKey

    public KeyIdentifier setAltKey(Boolean altKey)
    If set, whether the Alt key must be held down.
    Parameters:
      `altKey` - New altKey value. Default value is null
    Returns:
      `KeyIdentifier` instance, for chaining setter calls
    See Also:
      - `EventHandler.altKeyDown()`

  - ### getAltKey

    public Boolean getAltKey()
    If set, whether the Alt key must be held down.
    Returns:
      Current altKey value. Default value is null
    See Also:
      - `EventHandler.altKeyDown()`

  - ### setCtrlKey

    public KeyIdentifier setCtrlKey(Boolean ctrlKey)
    If set, whether the Control key must be held down.
    Parameters:
      `ctrlKey` - New ctrlKey value. Default value is null
    Returns:
      `KeyIdentifier` instance, for chaining setter calls
    See Also:
      - `EventHandler.ctrlKeyDown()`

  - ### getCtrlKey

    public Boolean getCtrlKey()
    If set, whether the Control key must be held down.
    Returns:
      Current ctrlKey value. Default value is null
    See Also:
      - `EventHandler.ctrlKeyDown()`

  - ### setKeyName

    public KeyIdentifier setKeyName(String keyName)
    Name of the key.
    Parameters:
      `keyName` - New keyName value. Default value is null
    Returns:
      `KeyIdentifier` instance, for chaining setter calls
    See Also:
      - `KeyName`

  - ### getKeyName

    public String getKeyName()
    Name of the key.
    Returns:
      Current keyName value. Default value is null
    See Also:
      - `KeyName`

  - ### setShiftKey

    public KeyIdentifier setShiftKey(Boolean shiftKey)
    If set, whether the Shift key must be held down.
    Parameters:
      `shiftKey` - New shiftKey value. Default value is null
    Returns:
      `KeyIdentifier` instance, for chaining setter calls
    See Also:
      - `EventHandler.shiftKeyDown()`

  - ### getShiftKey

    public Boolean getShiftKey()
    If set, whether the Shift key must be held down.
    Returns:
      Current shiftKey value. Default value is null
    See Also:
      - `EventHandler.shiftKeyDown()`